###

###

###

###

###

###

    EXP(3)              Linux Programmer's Manual              EXP(3)

    NAME
           exp,  log, log10, pow - exponential, logarithmic and power
           functions

    SYNOPSIS
           #include <math.h>

           double exp(double x);

           double log(double x);

           double log10(double x);

           double pow(double x, double y);

    DESCRIPTION
           The exp() function returns the value of  e  (the  base  of
           natural logarithms) raised to the power of x.

           The log() function returns the natural logarithm of x.

           The log10() function returns the base-10 logarithm of x.

           The  pow()  function  returns the value of x raised to the
           power of y.

    ERRORS
           The log() and log10() functions can return  the  following
           errors:

           EDOM   The argument x is negative.

           ERANGE The  argument  x  is  zero.  The log of zero is not
                  defined.

           The pow() function can return the following error:

           EDOM   The argument x is negative and y is not an integral
                  value.  This would result in a complex number.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3, ISO 9899

### SEE ALSO

sqrt, cbrt,

###

    GNU                       June 16, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0